
Installer - Bug #3977

undefined method `keys' for #<HighLine::ColorScheme on Ubuntu 12.04

01/09/2014 08:33 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee:    

Category: foreman-installer script   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Running plain "foreman-installer" on nightly on Ubuntu 12.04 gives the following error:

 /Stage[main]/Apache::Service/Service[httpd]: Failed to call refresh: Could not start Service[http

d]: Execution of '/etc/init.d/apache2 start' returned 1:  at /usr/share/foreman-installer/modules/

apache/manifests/service.pp:34

 /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[foremandeb.example.com]: Could not evalua

te: Connection refused - connect(2)

Installing             Done                                               [100%] [................

....]

/usr/bin/foreman-installer:56: undefined method `keys' for #<HighLine::ColorScheme:0x7fb771ef8b18>

 (NoMethodError)

    from /usr/lib/ruby/vendor_ruby/highline/color_scheme.rb:52:in `initialize'

    from /usr/bin/foreman-installer:55:in `new'

    from /usr/bin/foreman-installer:55

any

Associated revisions

Revision cc00eedd - 01/10/2014 07:40 PM - Greg Sutcliffe

Fixes #3977 - Don't re-open a Highline colourscheme

History

#1 - 01/09/2014 08:36 AM - Dominic Cleal

||/ Name                 Version              Description

+++-====================-====================-========================================================

ii  foreman-installer    9999-precise+scratch Automated puppet-based installer for The Foreman

ii  ruby-highline        1.6.2-1              High-level interactive IO Ruby library

ii  ruby-kafo            0.3.4-1              If you write puppet modules for installing your software

 An older version of highline in 12.04 compared to the 1.6.19/20 builds we use on Debian and in the RPMs.  Marek says this probably affects kafo

itself too.

#2 - 01/09/2014 02:35 PM - Anonymous

- Target version set to 1.9.2

#3 - 01/10/2014 07:42 PM - Dominic Cleal

- Status changed from New to Closed

- % Done changed from 0 to 100

https://github.com/theforeman/foreman-installer/pull/89
